=== source/Makefile ===
include diff.mk

#========================================================
# DIFF_DIR
DIFF_DIR    :=  diff/$(MODULE_NAME)/$(VENDOR_NAME)

#-------------------------------------------------------#
#                       SUBLIBS                         #
#-------------------------------------------------------#

SUBLIBS   =   library

#-------------------------------------------------------#
#                       SUBDIRS                         #
#-------------------------------------------------------#

include $(DIFF_DIR)/subdirs.mk

#-------------------------------------------------------#
#                       TARGETS                         #
#-------------------------------------------------------#
.PHONY:  all libs dirs diff diffi install clean

ifeq ($(_SSL_SUPPORT_), 1)
all: diff link-files libs dirs
else
all: diff libs dirs
endif
	@echo Everything is OK!

libs : ${SUBLIBS}
	@mkdir -p lib
	@for i in ${SUBLIBS} ;  do                                                    \
            echo "-----------------------------------------------------------------"; \
            echo -e "\033[;34m                         $$i                 \033[;0m"; \
            echo "-----------------------------------------------------------------"; \
            make -C $$i || exit 1 ;                                                   \
         done

echo:
	echo ${DIFF_DIR}

dirs : ${SUBDIRS}
	@for i in ${SUBDIRS} ;  do                                                    \
            echo "-----------------------------------------------------------------"; \
            echo -e "\033[;34m                         $$i                 \033[;0m"; \
            echo "-----------------------------------------------------------------"; \
            make -C $$i || exit 1 ;                                                   \
        done

diff:
	make -C $(DIFF_DIR)

diffi:
	make -C $(DIFF_DIR) install
	
link-files:

install: diffi
	@for i in ${SUBLIBS} ;  do                                                    \
            echo "-----------------------------------------------------------------"; \
            echo -e "\033[;35m                         $$i                 \033[;0m"; \
            echo "-----------------------------------------------------------------"; \
            make -C $$i install || exit 1 ;                                           \
        done
	@for i in ${SUBDIRS} ;  do                                                    \
            echo "-----------------------------------------------------------------"; \
            echo -e "\033[;35m                         $$i                 \033[;0m"; \
            echo "-----------------------------------------------------------------"; \
            make -C $$i install || exit 1 ;                                           \
        done

clean:
	for i in ${SUBLIBS} ; do make -C $$i clean || exit 1 ; done
	for i in ${SUBDIRS} ; do make -C $$i clean || exit 1 ; done
#	rm -f lib/*

rami:
	make -C $(DIFF_DIR) rami
