=== squashfs-tool/Makefile ===

LZMADIR = ./lzma/compress
INCLUDEDIR = -I. -I$(LZMADIR)

LZMAOBJS = \
	7zapi.o \
        7zlzma.o \
        AriBitCoder.o \
        IInOutStreams.o \
        LenCoder.o \
        LiteralCoder.o \
        LZMA.o \
        LZMAEncoder.o \
        OutByte.o \
        WindowIn.o

CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	else if [ -x /bin/bash ]; then echo /bin/bash; \
	else echo sh; fi ; fi)
TOPDIR	:= $(shell /bin/pwd)

CC = gcc
STRIP = strip

export CC STRIP

#WARNINGS= -Wall

#export DEFS		= -DDEBUG
export CFLAGS		= $(DEFS) $(WARNINGS) -O2 -DGNU $(INCLUDEDIR) -DLZMA_SUPPORT 

vpath %.cpp $(LZMADIR)

all: mksquashfs

mksquashfs:  squashfs/*.c squashfs/*.h $(LZMAOBJS)
	@if [ ! -e /usr/include/zlib.h ]; then \
          echo *****You need to install zlib-devel package to build mksquashfs! ; \
          echo *****You may find it in your Linux distribution CDs. ; \
	  exit ;\
        fi
	gcc $(CFLAGS) -Isquashfs -c squashfs/*.c
	g++  -o mksquashfs mksquashfs.o read_fs.o sort.o $(LZMAOBJS) -lz

$(LZMAOBJS): %.o: %.cpp
	g++ -c $(CFLAGS) $^ -o $@

clean:
	rm -f mksquashfs
	rm -fr *.o core
	rm -fr $(LZMADIR)/*.o
