=== source/devmapper-1.02.07/debian/changelog ===
devmapper (2:1.02.07-1) unstable; urgency=low

  * New upstream version.
  * Update priorities to match overrides.
  * Acknowledge NMU. (closes: #316883, #329409, #341901, #342455)

 -- Bastian Blank <waldi@debian.org>  Sat, 10 Jun 2006 21:20:43 +0000

devmapper (2:1.02.05-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set default device modes to 0, 6, 0660, according to the decision
    of the technical committee,
    http://lists.debian.org/debian-ctte/2006/04/msg00033.html
    Closes: #316883, #329409, #341901, #342455
    LVM devices are created with root:disk ownership and 0660 permissions,
    which is used by all other disk block devices.  This allows backups
    of LVM logical volumes with tools such as amanda, which run as user
    backup, a member of the disk group.
    Thanks for Roger Leigh for preparing the patch.

 -- Andreas Barth <aba@not.so.argh.org>  Sun,  4 Jun 2006 20:15:33 +0200

devmapper (2:1.02.05-2) unstable; urgency=low

  * Generate udeb shlibs entries. (closes: #356906)
  * Set default device modes to 0, 6, 0644. (closes: #304476)

 -- Bastian Blank <waldi@debian.org>  Sat, 13 May 2006 14:44:47 +0000

devmapper (2:1.02.05-1) unstable; urgency=low

  * New upstram version.
  * Install pkgconfig file. (closes: #355927)

 -- Bastian Blank <waldi@debian.org>  Fri,  5 May 2006 20:40:42 +0000

devmapper (2:1.02.03-1) unstable; urgency=low

  * New upstram version. 
  * Make device modes overridable.

 -- Bastian Blank <waldi@debian.org>  Sun, 12 Feb 2006 11:45:49 +0100

devmapper (2:1.02.02-1) unstable; urgency=low

  * New upstram version. 
    - Use names instead of numbers in messages when ioctls fail.
      (closes: #341452)

 -- Bastian Blank <waldi@debian.org>  Fri, 02 Dec 2005 20:16:55 +0100

devmapper (2:1.02.00-1) unstable; urgency=low

  * New upstream version. (closes: #338947)

 -- Bastian Blank <waldi@debian.org>  Thu, 24 Nov 2005 20:07:41 +0100

devmapper (2:1.01.05-1) unstable; urgency=low

  * Readd init script to load the device-mapper module.
    (closes: #330549, #315161, #298406)

 -- Bastian Blank <waldi@debian.org>  Thu, 29 Sep 2005 18:58:31 +0200

devmapper (2:1.01.04-2) unstable; urgency=low

  * Enable selinux support for debs. (closes: #323022)
  * Change optimization for udebs. (closes: #314360)

 -- Bastian Blank <waldi@debian.org>  Sun, 14 Aug 2005 11:14:54 +0200

devmapper (2:1.01.04-1) unstable; urgency=low

  * New upstream version.
  * Explicitly disable selinux support. (blocked by #322891)

 -- Bastian Blank <waldi@debian.org>  Sat, 13 Aug 2005 13:16:31 +0200

devmapper (2:1.01.03-1) unstable; urgency=low

  * New upstream version.
  * Remove init script, libdevmapper creates the device themself.

 -- Bastian Blank <waldi@debian.org>  Sun, 19 Jun 2005 13:41:08 +0200

devmapper (2:1.01.00-4) unstable; urgency=low

  * Build static libs.
  * Remove the wrong dh_python call.

 -- Bastian Blank <waldi@debian.org>  Mon, 14 Mar 2005 19:43:32 +0100

devmapper (2:1.01.00-3) unstable; urgency=low

  * Don't longer use cdbs.
  * Remove many cruft.

 -- Bastian Blank <waldi@debian.org>  Mon, 14 Mar 2005 13:55:47 +0100

devmapper (2:1.01.00-2) unstable; urgency=high

  * New maintainer.
  * Fix initscript links. (closes: #299013)

 -- Bastian Blank <waldi@debian.org>  Fri, 11 Mar 2005 08:29:31 +0100

devmapper (2:1.01.00-1) unstable; urgency=low

  * New upstream
  * Set permission on control device to 0660
    Closes: #294260

 -- Patrick Caulfield <patrick@debian.org>  Mon, 14 Feb 2005 09:20:23 +0000

devmapper (2:1.00.19-4) unstable; urgency=low

  * Cope with single/multiple spaces in "ls" output when checking device.
    Closes: #273273
    
 -- Patrick Caulfield <patrick@debian.org>  Sun, 17 Oct 2004 11:01:00 +0100

devmapper (2:1.00.19-3) unstable; urgency=low

  * Remove kernel-patch-devmapper as it is now incorporated in the
    Debian kernel.
    Closes: #262347, #272384
  * Remove XSI:ism (what ever that is) from init script.
    Closes: #258853 
  
 -- Patrick Caulfield <patrick@debian.org>  Mon, 20 Sep 2004 08:01:42 +0100

devmapper (2:1.00.19-2) unstable; urgency=low

  * Don't error on startup of /dev/mapper directory does not exist.
    Closes: #259314

 -- Patrick Caulfield <patrick@debian.org>  Thu, 15 Jul 2004 11:52:38 +0100

devmapper (2:1.00.19-1) unstable; urgency=low

  * New upstream version(s). Closes: #257958
  * Don't build debian-speciif patches as dm is now in the Debian kernels
    Closes: #247004, #252168
  * Don't recreate /dev/mapper/control if it hasn't changed.
    Closes: #257106
  * Add dmsetup udeb
    Closes: #241385

 -- Patrick Caulfield <patrick@debian.org>  Wed,  7 Jul 2004 14:42:34 +0100

devmapper (2:1.00.17-5) unstable; urgency=low

  * Take over maintainership.
  * recreate the /dev/mapper/control device at each reboot in case
    the minor number changes. Closes: #236735

 -- Patrick Caulfield <patrick@debian.org>  Tue,  1 Jun 2004 11:13:55 +0100

devmapper (2:1.00.17-4) unstable; urgency=low

  * The DAM-approval-process-sucks release.
  * Fix missing autoconf build-dep (closes: #249476).

 -- Andres Salomon <dilinger@voxel.net>  Mon, 17 May 2004 22:35:26 -0400

devmapper (2:1.00.17-3) unstable; urgency=low

  * Fix autoconf check for selinux build environment (closes: #248656).

 -- Andres Salomon <dilinger@voxel.net>  Mon, 17 May 2004 03:20:52 -0400

devmapper (2:1.00.17-2) unstable; urgency=low

  * Add a little blurb about the removal of VFS locking patch in
    README.Debian.  By popular request.
  * Have libdevmapper1.00-udeb provide libdevmapper1.00 (closes: #248238).

 -- Andres Salomon <dilinger@voxel.net>  Mon, 10 May 2004 02:07:12 -0400

devmapper (2:1.00.17-1) unstable; urgency=low

  * New upstream release.
  * Update kernel patches, ensure VFS lock patch is applied
    (closes: #245748).
  * Move dmsetup binary into /sbin (closes: #247053).
  * Add 002-lfs.patch; compile w/ -D_FILE_OFFSET_BITS=64.


