=== source/xfsprogs-2.7.11/debian/changelog ===
xfsprogs (2.7.11-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Mon, 16 Jan 2006 08:38:31 +1100

xfsprogs (2.7.7-1) unstable; urgency=low

  * New upstream release.
  * Add support for (optional) ATTR2 format extension (closes: #336350)
  * Allow gcc -pedantic option for C++ <xfs.h> users (closes: #249429)
  * Fix segv in xfs_db frag command (closes: #338207)

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Nov 2005 16:32:35 +1100

xfsprogs (2.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Sat, 08 Oct 2005 10:34:10 +1000

xfsprogs (2.6.36-1) unstable; urgency=low

  * New upstream release.
  * Fix xfs_repair secondary SB search 32 bit wrap (closes: #320081)

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jul 2005 14:01:50 +1000

xfsprogs (2.6.28-1) unstable; urgency=low

  * New upstream release.
  * Fix compilation with gcc version 4 (closes: #300544)

 -- Nathan Scott <nathans@debian.org>  Wed, 30 Mar 2005 10:52:07 +1000

xfsprogs (2.6.26-2) unstable; urgency=low

  * No code differences, recompiled with a more recent gcc version.

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Mar 2005 11:57:57 +1000

xfsprogs (2.6.26-1) unstable; urgency=low

  * New upstream release.
  * Man page updates (closes: #295397)
  * Fix compilation with gcc version 4 (closes: #297876)
  * Switch build dependency from readline4 to readline5.

 -- Nathan Scott <nathans@debian.org>  Tue, 08 Mar 2005 16:56:35 +1100

xfsprogs (2.6.23-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Fri, 17 Sep 2004 17:04:45 +1000

xfsprogs (2.6.21-1) unstable; urgency=low

  * New upstream release.
  * Fix xfs_io build for older glibc versions (current stable).

 -- Nathan Scott <nathans@debian.org>  Mon, 09 Aug 2004 16:09:42 +1000

xfsprogs (2.6.20-1) unstable; urgency=low

  * New upstream release.
  * Fix xfs_io segfault on non-XFS files.  (closes: #260470)
  * Fix packaging botch, deleted files included.  (closes: #260491)

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Jul 2004 21:11:38 +1000

xfsprogs (2.6.19-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Sat, 17 Jul 2004 11:28:39 +1000

xfsprogs (2.6.18-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Fri, 25 Jun 2004 16:57:09 +1000

xfsprogs (2.6.15-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Wed, 09 Jun 2004 21:10:14 +1000

xfsprogs (2.6.14-1) unstable; urgency=low

  * New upstream release.
  * Add a Provides: fsck-backend clause as requested in the context
    of bug number 111651.

 -- Nathan Scott <nathans@debian.org>  Thu, 13 May 2004 09:56:19 +1000

xfsprogs (2.6.11-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Apr 2004 11:50:56 +1000

xfsprogs (2.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Thu, 26 Feb 2004 14:44:41 +1100

xfsprogs (2.6.3-1) unstable; urgency=low

  * New upstream release.
  * Add support for debian-installer.  (closes: #225444)
    Author: Steve Langasek.
  * Use debhelper instead of debmake, for proper udeb building.
    Author: Steve Langasek.
  * Drop boot-floppies support.  (closes: #112715)
    Author: Steve Langasek.
  * Add support for the security attribute namespace.

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Jan 2004 10:08:59 +1100

xfsprogs (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Note: change in the mkfs algorithm for sizing allocation groups.

 -- Nathan Scott <nathans@debian.org>  Tue, 28 Oct 2003 15:23:48 +1100

xfsprogs (2.5.11-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Fri, 10 Oct 2003 09:37:57 +1000

xfsprogs (2.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 19 Aug 2003 09:44:48 +1000

xfsprogs (2.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Thu, 07 Aug 2003 12:58:36 +1000

xfsprogs (2.5.4-1) unstable; urgency=low

  * New upstream release, includes xfs_copy command
  * Fix shell quoting in xfs_bmap, from Kai S. Juse (closes: #202588)

 -- Nathan Scott <nathans@debian.org>  Wed, 23 Jul 2003 10:36:28 +1000

xfsprogs (2.5.3-1) unstable; urgency=low

  * New upstream release
  * Changed mkfs.xfs default log size scaling algorithm slightly, to
    create larger logs at smaller filesystem sizes by default
  * Enable support for sector sizes larger than 512 bytes

 -- Nathan Scott <nathans@debian.org>  Mon,  7 Jul 2003 16:06:21 +1000

xfsprogs (2.4.12-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon,  2 Jun 2003 13:51:06 +1000

xfsprogs (2.4.10-1) unstable; urgency=low

  * New upstream release
  * Add missing xfslibs-dev dependency on uuid-dev (closes: #193309)

 -- Nathan Scott <nathans@debian.org>  Thu, 15 May 2003 08:50:22 +1000

xfsprogs (2.4.9-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri,  2 May 2003 09:34:17 +1000

xfsprogs (2.4.4-1) unstable; urgency=low

  * New upstream release
  * Dependencies on libreadline4 and libreadline4-dev added

 -- Nathan Scott <nathans@debian.org>  Sun, 30 Mar 2003 10:30:18 +1000

xfsprogs (2.4.1-1) unstable; urgency=low

  * New upstream release
  * Updated policy version to which this package conforms
  * Note: unwritten extents are now enabled by default in mkfs.xfs

 -- Nathan Scott <nathans@debian.org>  Tue, 18 Mar 2003 16:16:43 +1100

xfsprogs (2.3.11-1) unstable; urgency=low

  * Add missing build dependency on gettext (closes: #181331)

 -- Nathan Scott <nathans@debian.org>  Tue, 18 Feb 2003 08:57:46 +1100

xfsprogs (2.3.10-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 17 Feb 2003 14:52:20 +1100


